CEL: Crystal Entity Layer: iCelDataBuffer Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelDataBuffer Struct Reference

This interface describes persistable data. More...

`#include <physicallayer/persist.h>`

List of all members.

## Public Member Functions
virtual void | Add (iCelEntity *v)
virtual void | Add (iCelPropertyClass *v)
virtual void | Add (const char *v)
virtual void | Add (const csColor &v)
virtual void | Add (const csVector3 &v)
virtual void | Add (const csVector2 &v)
virtual void | Add (float v)
virtual void | Add (uint32 v)
virtual void | Add (uint16 v)
virtual void | Add (uint8 v)
virtual void | Add (int32 v)
virtual void | Add (int16 v)
virtual void | Add (int8 v)
virtual void | Add (bool v)
| Convenience methods to add specific types of data.
virtual void | AddAction (const char *v)
virtual celData * | AddData ()=0
| Add a data entry.
virtual void | AddIBase (iBase *v)
virtual bool | GetBool ()
| Convenience methods to get specific types of data.
virtual void | GetColor (csColor &v)
virtual celData * | GetData (size_t idx)=0
| Get a specific data entry.
virtual celData * | GetData ()=0
| Get the next data entry.
virtual size_t | GetDataCount () const =0
| Get the number of data entries.
virtual csString | GetDebugInfo ()
virtual iCelEntity * | GetEntity ()
virtual float | GetFloat ()
virtual iBase * | GetIBase ()
virtual int16 | GetInt16 ()
virtual int32 | GetInt32 ()
virtual int8 | GetInt8 ()
virtual iCelPropertyClass * | GetPC ()
virtual long | GetSerialNumber () const =0
| Get a serial number for this data.
virtual iString * | GetString ()
virtual uint16 | GetUInt16 ()
virtual uint32 | GetUInt32 ()
virtual uint8 | GetUInt8 ()
virtual void | GetVector2 (csVector2 &v)
virtual void | GetVector3 (csVector3 &v)
virtual void | Reset ()=0
| Reset the internal read counter.

## Detailed Description

This interface describes persistable data.

Definition at line 99 of file persist.h.

## Member Function Documentation

virtual void iCelDataBuffer::Add | ( | bool | v | ) | `[inline, virtual]`

| Convenience methods to add specific types of data. Definition at line 134 of file persist.h. References AddData(), and celData::Set().

virtual celData* iCelDataBuffer::AddData | ( |  | ) | `[pure virtual]`

| Add a data entry. Referenced by Add(), AddAction(), and AddIBase().

virtual bool iCelDataBuffer::GetBool | ( |  | ) | `[inline, virtual]`

| Convenience methods to get specific types of data. Definition at line 152 of file persist.h. References celData::bo, GetData(), celData::type, and celData::value.

virtual celData* iCelDataBuffer::GetData | ( | size_t | idx | ) | `[pure virtual]`

| Get a specific data entry.

virtual celData* iCelDataBuffer::GetData | ( |  | ) | `[pure virtual]`

| Get the next data entry. See Reset(). Referenced by GetBool(), GetColor(), GetDebugInfo(), GetEntity(), GetFloat(), GetIBase(), GetInt16(), GetInt32(), GetInt8(), GetPC(), GetString(), GetUInt16(), GetUInt32(), GetUInt8(), GetVector2(), and GetVector3().

virtual size_t iCelDataBuffer::GetDataCount | ( |  | ) | const`[pure virtual]`

| Get the number of data entries. Referenced by GetDebugInfo().

virtual long iCelDataBuffer::GetSerialNumber | ( |  | ) | const`[pure virtual]`

| Get a serial number for this data. This can be used to check validity of the data (i.e. to compare version numbers).

virtual void iCelDataBuffer::Reset | ( |  | ) | `[pure virtual]`

| Reset the internal read counter.

The documentation for this struct was generated from the following file:

- physicallayer/persist.h